#ifndef VIFLOWDIALOG_H
#define VIFLOWDIALOG_H

#include <QtGui/QDialog>
#include "ui_viflowdialog.h"
#include "viflow.h"

class ViFlowDialog : public QDialog
{
    Q_OBJECT

public slots:
    void signatures1Changed(CortageList *clist1);
    void signatures2Changed(CortageList *clist2);

    void notifyBufferChangeSlot1(G12Buffer *buf1);
    void notifyBufferChangeSlot2(G12Buffer *buf2);


    void notifyRecalculate(void);

    /* Process the child repainting */
    void repaintChild(QPaintEvent *event, QWidget *who);
    void mouseChild(QMouseEvent *event);

signals:
	void needCoratgeListUpdate(void);


public:
    ViFlowDialog(QWidget *parent = 0);
    ~ViFlowDialog();

private:
    Ui::ViFlowDialogClass ui;
    CortageList *clist1;
    CortageList *clist2;
    FlowBuffer *flow;
    G12Buffer *buf1;
    G12Buffer *buf2;

};

#endif // VIFLOWDIALOG_H
